<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @OA\Schema(
 *     schema="MachineStatus",
 *     type="object",
 *     @OA\Property(property="hostname", type="string", example=""),
 *     @OA\Property(property="ip", type="string", example=""),
 *     @OA\Property(property="cpu", type="string"),
 *     @OA\Property(property="memory", type="string", example=""),
 *     @OA\Property(property="disk", type="string", example=""),
 *     @OA\Property(property="status", type="string", example=""),
 * )
 */
class MachineStatus extends Model
{
    protected $fillable = [
        'hostname',
        'ip',
        'cpu',
        'memory',
        'disk',
        'status',
    ];
}
